'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = writeFile;

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function writeFile(filePath, data, callback, json = true) {
  return new Promise((resolve, reject) => {
    const fileName = _path2.default.basename(filePath);
    const dump = callback(data);

    // $FlowIgnore
    _fs2.default.writeFile(filePath, json ? JSON.stringify(dump) : dump, error => {
      if (error) {
        console.error(`  ${_chalk2.default.red('✖')} ${_chalk2.default.gray(fileName)}`);
        reject(error);
      } else {
        console.log(`  ${_chalk2.default.green('✔')} ${_chalk2.default.gray(fileName)}`);
        resolve(data);
      }
    });
  });
} /**
   * @copyright   2017, Miles Johnson
   * @license     https://opensource.org/licenses/MIT
   * 
   */