'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = extractSet;

var _cloneDeep = require('lodash/cloneDeep');

var _cloneDeep2 = _interopRequireDefault(_cloneDeep);

var _pick = require('lodash/pick');

var _pick2 = _interopRequireDefault(_pick);

var _constants = require('./constants');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function extractSet(data, format, fields = []) {
  const { name, hexcode, codepoint, shortnames } = data;
  const [shortname] = shortnames;

  switch (format) {
    default:
    case _constants.EXPANDED:
      return (0, _cloneDeep2.default)(data);

    case _constants.STANDARD:
      return (0, _cloneDeep2.default)({
        name,
        hexcode,
        codepoint,
        shortname
      });

    case _constants.COMPACT:
      return (0, _cloneDeep2.default)({
        hexcode,
        shortname
      });

    case _constants.CUSTOM:
      return (0, _cloneDeep2.default)((0, _pick2.default)(data, fields));
  }
} /**
   * @copyright   2017, Miles Johnson
   * @license     https://opensource.org/licenses/MIT
   * 
   */